Topic: bug entre Firefox 3.6.2 et noscript

l'utilisation de noscript avec Firefox 3.6.1 ou 3.6.2 provoque une fermeture brutale de la session sous fedora 12 (tournant sur un ThinkPad T42)
Je n'ai pas de problème de compatibilité avec la version 3.5.8 et noscript 1.9.9.50

Re: bug entre Firefox 3.6.2 et noscript

Je viens de tester Firefox 3.6.2 + NoScript 1.9.9.57 sous Fedora 11 i386 => aucun plantage.

Donc : tester la MAJ

+

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: bug entre Firefox 3.6.2 et noscript

Je viens à nouveau d'essayer avec Firefox 3.6.2.1 et noscript 1.9.9.57 malheureusement j'obtiens le même  résultat (fermeture immédiate de la session) . Cela se produit lorsque je clique sur le S  en bas à droite des options noscript.
Curieusement je n'ai pas ce problème avec la version 3.5.8.
J'ai essayé de déinstaller flashplugin d'Adobe mais cela ne change rien

Re: bug entre Firefox 3.6.2 et noscript

par contre sur un samsung N140 + (dual boot win 7 starter et Fedora 12) avec la même configuration (firefox 3.6.2.1 et noscript 1.9.9.57) je n'ai pas de problèmes ? Étrange...

Re: bug entre Firefox 3.6.2 et noscript

J'aurais tendance à soupçonner un problème de pilote vidéo (puisque c'est X qui visiblement crash)

En lançant firefox en console et en récupérant les sorties ?

firefox &>/tmp/ff.log

Voir aussi le .xsession-errors

+

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: bug entre Firefox 3.6.2 et noscript

la commande firefox &>/tmp/ff.log ouvre simplement une fenétre de firefox mais ne donne pas d'information

dans le .xsession-errors voila ce que je trouve. Apparement rien concernant Firefox

(polkit-gnome-authentication-agent-1:5086): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'

(polkit-gnome-authentication-agent-1:5086): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
Failed to play sound: File or data not found
Initializing nautilus-gdu extension
Initializing nautilus-image-converter extension

(nautilus:5056): Nautilus-GDU-WARNING **: unable to query info: L'emplacement indiqué n'est pas pris en charge


(nautilus:5056): Nautilus-GDU-WARNING **: unable to query info: L'emplacement indiqué n'est pas pris en charge

Re: bug entre Firefox 3.6.2 et noscript

mille excuse

voila ce que j'obtiens dans /tmp/ff.log  Échec de XOpenDisplay()

Re: bug entre Firefox 3.6.2 et noscript

même problème avec la dernière version Firefox 3.6.3.1 et noscript 19.9.61

voici le résultat de la commande firefox &>/tmp/ff.log après un nouveau bug session suite à un clic sur le bouton options  (en bas à gauche ) de noscript

Échec de XOpenDisplay()
firefox-bin: Fatal IO error 104 (Connexion ré-initialisée par le correspondant) on X server :0.0.

Re: bug entre Firefox 3.6.2 et noscript

Le message indique juste que le serveur X est tombé, ce qui est le symptome décrit.

Plus d'informations dans le fichier .xsession-errors ?

+

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

10

Re: bug entre Firefox 3.6.2 et noscript

pas plus d'information dans .xsession-errors

(polkit-gnome-authentication-agent-1:1625): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'

(polkit-gnome-authentication-agent-1:1625): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
Failed to play sound: File or data not found
Initializing nautilus-gdu extension
Initializing nautilus-image-converter extension

(nautilus:1602): Nautilus-GDU-WARNING **: unable to query info: L'emplacement indiqué n'est pas pris en charge

Cependant il semble que le fait de changer de driver de carte (choisir vesa generic vesa compliant video cards à la place de radeon Ati Radeon Cards including Radeon Mobility) régle le problème. Dans ce cas se serait bien un problème de driver de carte